# TODO
# - build with (static) trurlib
# - fix-info-dir.c: In function `usage':
#   fix-info-dir.c:391: warning: string length `1007' is greater than the length `509' ISO C89 compilers are required to support
Summary:	Creates a top-level info `dir' file
Summary(pl.UTF-8):	Tworzy główny plik 'dir' dla systemu Info
Name:		fix-info-dir
Version:	0.13
Release:	10
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.pld.org.pl/software/fix-info-dir/%{name}-%{version}.tar.gz
# Source0-md5:	27e91d3e5c91a2fdad85bf93c9e4cfcf
Patch0:		%{name}-Makefile.patch
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility which creates a top-level `dir' file in the Info system.

%description -l pl.UTF-8
Narzędzie tworzące główny plik 'dir' dla systemu Info

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fomit-frame-pointer -DNDEBUG" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_infodir}}

install %{name} $RPM_BUILD_ROOT%{_sbindir}

touch $RPM_BUILD_ROOT%{_infodir}/{dir,dir.old}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/fix-info-dir %{_infodir}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/%{name}
%ghost %{_infodir}/dir
%ghost %{_infodir}/dir.old
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fix-info-dir.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> f087051
- x32 rebuild
- release 10 (by relup.sh)

* Thu Jul 01 2010 Elan Ruusamäe <glen@pld-linux.org> fba8bc4
- remove pointless no_install_post_compress_docs

* Tue Mar 06 2007 spider <spider@pld-linux.org> 0adf80b
- rel++
- STBR

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c344937
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8db367e
- converted to UTF-8

* Tue Sep 12 2006 sparky <sparky@pld-linux.org> 28e8e6a
- oops, fix was wrong - it worked with -j2 but not with -j1 :P

* Wed Sep 06 2006 sparky <sparky@pld-linux.org> 3f6637f
- added Makefile patch
- removed Prereq: zlib
- pass rpmldflags

* Wed Sep 06 2006 sparky <sparky@pld-linux.org> f6f42f1
- fixed LDFLAGS vs LIBS
- fixed build on smp

* Sun Feb 26 2006 sparky <sparky@pld-linux.org> ddc1e97
- use CC="%{__cc}"

* Mon Mar 21 2005 Mariusz Mazur <mmazur@pld-linux.org> 4a6c304
- rel 8 for th

* Tue Oct 12 2004 Mariusz Mazur <mmazur@pld-linux.org> 03cb921
- rel 7 for th

* Sat Sep 25 2004 radek <radek@pld-linux.org> 304851d
- cosmetics (spaces -> tabs)

* Sat Aug 07 2004 havner <havner@pld-linux.org> b3f0d74
- rel 6

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> b9854c2
- spaces -> tab

* Sat Aug 30 2003 Mariusz Mazur <mmazur@pld-linux.org> 5d80942
- rel 5 for ac

* Tue Jul 08 2003 Paweł Gołaszewski <blues@pld-linux.org> 2f01703
- "f" and some "g" letters of small fixes inpired by kloczek

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 8f48fb9
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 88f9f67
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Oct 04 2002 kloczek <kloczek@pld-linux.org> d042979
- release 4.

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> b3ee9d9
- fixed a small typo

